DCOPReply class Reference (dcop Library)

| # dcop Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DCOPReply Class Reference

Represents the return value of a DCOPRef:call() or DCOPRef:send() invokation. More...

`#include <dcopref.h>`

Collaboration diagram for DCOPReply:

[legend]
List of all members.

## Public Member Functions
template<class T> | operator T ()
| Casts the value to the type `T`.
template<class T> bool | get (T &t, const char *tname)
| Retrieves the value from the type `T`.
template<class T> bool | get (T &t)
| Retrieves the value from the type `T`.
bool | isValid () const
| Checks whether the type is valid.
## Public Attributes
QByteArray | data
| The serialized data.
QCString | type
| The name of the type, or 0 if unknown.

## Detailed Description

Represents the return value of a DCOPRef:call() or DCOPRef:send() invokation.

See also:
  DCOPRef

  DCOPRef::call()

  DCOPArg

Since:
  3.1

Definition at line 43 of file dcopref.h.

## Member Function Documentation

template<class T>
DCOPReply::operator T | ( |  | ) | `[inline]`

| Casts the value to the type `T`. Requires that the type `T` suppports QDataStream deserialisation and has a function dcopTypeName(T). This is true for most basic types. Definition at line 53 of file dcopref.h. References data.

template<class T>
bool DCOPReply::get | ( | T & | t,
|  | const char * | tname
| ) | `[inline]`

  | Retrieves the value from the type `T`. Requires that the type `T` suppports QDataStream deserialisation. Parameters:
  t | the type will be written here, if successful
  tname | the signature type name
Returns: true if successful, false otherwise Definition at line 70 of file dcopref.h. References data.

template<class T>
bool DCOPReply::get | ( | T & | t | ) | `[inline]`

  | Retrieves the value from the type `T`. Requires that the type `T` suppports QDataStream deserialisation and has a function dcopTypeName(T). This is true for most basic types. Parameters:
  t | the type will be written here, if successful
  T | the signature type name
Returns: true if successful, false otherwise Definition at line 87 of file dcopref.h. References data.

bool DCOPReply::isValid | ( |  | ) | const`[inline]`

| Checks whether the type is valid. Returns: true if valid, false otherwise Definition at line 100 of file dcopref.h. References QCString::isNull(), and type.

## Member Data Documentation

QByteArray DCOPReply::data

| The serialized data. Definition at line 103 of file dcopref.h. Referenced by get(), and operator T().

QCString DCOPReply::type

| The name of the type, or 0 if unknown. Definition at line 105 of file dcopref.h. Referenced by isValid().

The documentation for this class was generated from the following files:

- dcopref.h
- dcopref.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:42:49 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001